Bug 505468 - R200 segfault in _radeon_bo_unmap
R200 segfault in _radeon_bo_unmap
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: mesa (Show other bugs)
11
All Linux
low Severity medium
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-11 21:25 EDT by Nicholas Miell
Modified: 2009-12-06 14:40 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-06 14:40:05 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Nicholas Miell 2009-06-11 21:25:16 EDT
Description of problem:
I regularly find core dumps on my desktop from xscreensaver screenhacks

Versions:
mesa-dri-drivers-7.5-0.14.fc11.x86_64
mesa-libGL-7.5-0.14.fc11.x86_64

Stack traces are similar to the following:
#0  _radeon_bo_unmap (line=<value optimized out>, func=<value optimized out>, file=<value optimized out>, bo=<value optimized out>)
    at /usr/include/drm/radeon_bo.h:153
#1  r200FlushElts (line=<value optimized out>, func=<value optimized out>, file=<value optimized out>, bo=<value optimized out>)
    at r200_cmdbuf.c:179
#2  0x00007ffb37da7e28 in radeonAllocDmaRegion (rmesa=0xd08b50, pbo=0xd09098, poffset=0xd090a0, bytes=12, alignment=32)
    at radeon_dma.c:220
#3  0x00007ffb37da7f3c in rcommon_emit_vector (ctx=<value optimized out>, aos=0xd09098, data=0xfdf054, size=3, stride=12, count=1)
    at radeon_dma.c:145
#4  0x00007ffb37d9d276 in r200EmitArrays (ctx=0xd0ec50, vimap_rev=<value optimized out>) at r200_maos_arrays.c:203
#5  0x00007ffb37d958ed in r200_run_tcl_render (ctx=0xd0ec50, stage=<value optimized out>) at r200_tcl.c:485
#6  0x00007ffb37a5c8c0 in _tnl_run_pipeline (ctx=0xd0ec50) at tnl/t_pipeline.c:158
#7  0x00007ffb37d8b7b3 in r200WrapRunPipeline (ctx=0xd0ec50) at r200_state.c:2440
#8  0x00007ffb37a5d3d2 in _tnl_draw_prims (ctx=0xd0ec50, arrays=<value optimized out>, prim=<value optimized out>, 
    nr_prims=<value optimized out>, ib=<value optimized out>, min_index=1, max_index=0) at tnl/t_draw.c:431
#9  0x00007ffb37a5c133 in vbo_save_playback_vertex_list (ctx=0xd0ec50, data=0xfe56b8) at vbo/vbo_save_draw.c:277
#10 0x00007ffb379dd29f in execute_list (ctx=0xd0ec50, list=<value optimized out>) at main/dlist.c:5799
#11 0x00007ffb379def72 in _mesa_CallList (list=6) at main/dlist.c:6894
#12 0x0000000000405129 in DrawArm (pState=0xcfca88, TimePos=<value optimized out>, Left=1) at ../../../hacks/glx/juggler3d.c:1791
#13 0x0000000000405fd2 in DrawGLScene (pState=<value optimized out>) at ../../../hacks/glx/juggler3d.c:1865
#14 draw_juggler3d (pState=<value optimized out>) at ../../../hacks/glx/juggler3d.c:2072
#15 0x0000000000409011 in xlockmore_draw (dpy=<value optimized out>, window=13668504, closure=0x0) at ../../../hacks/xlockmore.c:498
#16 0x000000000040800b in run_screenhack_table (ft=<value optimized out>, window2=<value optimized out>, 
    window=<value optimized out>, dpy=<value optimized out>) at ../../hacks/screenhack.c:550
#17 main (ft=<value optimized out>, window2=<value optimized out>, window=<value optimized out>, dpy=<value optimized out>)
    at ../../hacks/screenhack.c:912
Comment 1 Matěj Cepl 2009-11-05 13:31:23 EST
Since this bugzilla report was filed, there have been several major updates in various components of the Xorg system, which may have resolved this issue. Users who have experienced this problem are encouraged to upgrade their system to the latest version of their packages. For packages from updates-testing repository you can use command

yum upgrade --enablerepo='*-updates-testing'

Alternatively, you can also try to test whether this bug is reproducible with the upcoming Fedora 12 distribution by downloading LiveMedia of F12 Beta available at http://alt.fedoraproject.org/pub/alt/nightly-composes/ . By using that you get all the latest packages without need to install anything on your computer. For more information on using LiveMedia take a look at https://fedoraproject.org/wiki/FedoraLiveCD .

Please, if you experience this problem on the up-to-date system, let us now in the comment for this bug, or whether the upgraded system works for you.

If you won't be able to reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.

[This is a bulk message for all open Fedora Rawhide Xorg-related bugs. I'm adding myself to the CC list for each bug, so I'll see any comments you make after this and do my best to make sure every issue gets proper attention.]
Comment 2 Chris Campbell 2009-12-06 10:15:04 EST
Nicholas, is this still an issue for you?

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 3 Nicholas Miell 2009-12-06 13:27:44 EST
Doesn't appear to be a problem in F12 and wasn't a problem in F11 since I updated mesa.
Comment 4 Chris Campbell 2009-12-06 14:40:05 EST
Thank you for your efforts in reporting this issue. Closing.

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers

Note You need to log in before you can comment on or make changes to this bug.